# Interface ProcErrorCallback

@Deprecated public interface ProcErrorCallback
Deprecated.
The scope of the APR/Native Library will be reduced in Tomcat 9.1.x / Tomcat Native 2.x and has been reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
ProcErrorCallback Interface

Author:
  Mladen Turk

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `callback(long pool, int err, String description)`
  Deprecated.
  Called in the child process if APR encounters an error in the child prior to running the specified program.

- ## Method Details

  - ### callback

    void callback(long pool, int err, String description)
    Deprecated.
    Called in the child process if APR encounters an error in the child prior to running the specified program.
    Parameters:
      `pool` - Pool associated with the apr_proc_t. If your child error function needs user data, associate it with this pool.
      `err` - APR error code describing the error
      `description` - Text description of type of processing which failed